Bug 24838 - Help link from patron categories should go to relevant manual page
Summary: Help link from patron categories should go to relevant manual page
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Andrew Fuerste-Henry
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-10 13:14 UTC by Andrew Fuerste-Henry
Modified: 2020-04-14 23:42 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.05, 19.05.10, 18.11.16


Attachments
Bug 24838: fix help link for patron categories (1.41 KB, patch)
2020-03-11 00:57 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 24838: fix help link for patron categories (1.48 KB, patch)
2020-03-11 12:49 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 24838: fix help link for patron categories (1.59 KB, patch)
2020-03-11 15:58 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2020-03-10 13:14:38 UTC
From categories.pl, the help link just goes to the manual home page. It should go to https://koha-community.org/manual//[YOUR VERSION]/en/html/administration.html#patron-categories
Comment 1 Andrew Fuerste-Henry 2020-03-11 00:57:40 UTC
Created attachment 100487 [details] [review]
Bug 24838: fix help link for patron categories

To test:
- go to admin/categories.pl
- click Help, confirm it takes you to manual main page
- apply patch
- restart all
- click Help, confirm it takes you to patron categories in manual
Comment 2 PTFS Europe Sandboxes 2020-03-11 12:49:35 UTC
Created attachment 100551 [details] [review]
Bug 24838: fix help link for patron categories

To test:
- go to admin/categories.pl
- click Help, confirm it takes you to manual main page
- apply patch
- restart all
- click Help, confirm it takes you to patron categories in manual

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 3 Jonathan Druart 2020-03-11 15:58:10 UTC
Created attachment 100583 [details] [review]
Bug 24838: fix help link for patron categories

To test:
- go to admin/categories.pl
- click Help, confirm it takes you to manual main page
- apply patch
- restart all
- click Help, confirm it takes you to patron categories in manual

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Amended patch: Fix whitespace to keep alignment
Comment 4 Martin Renvoize 2020-03-16 11:03:33 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-04-03 17:24:38 UTC
Backported to 19.11.x branch for 19.11.05
Comment 6 Lucas Gass 2020-04-10 15:41:40 UTC
backported to 19.05.x for 19.05.10
Comment 7 Hayley Mapley 2020-04-14 23:41:58 UTC
Backported to 18.11.x for 18.11.16